Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.framework.client.appconn
Class STCApplicationConnectionFactory

    java.lang.Object
      com.stc.connector.framework.util.JndiJCAObject
          com.stc.connector.framework.client.appconn.STCApplicationConnectionFactory

All Implemented Interfaces:
  com.stc.connector.appconn.common.ApplicationConnectionFactory, javax.naming.Referenceable, javax.resource.Referenceable, java.io.Serializable

public class STCApplicationConnectionFactory
extends JndiJCAObject
implements com.stc.connector.appconn.common.ApplicationConnectionFactory

Generic Application Connection Factory class for the SeeBeyond resource adapters.

Version:
  $Version$
Author:
  $Author: smarkov $
See Also:
  Serialized Form

Constructor Summary
`STCApplicationConnectionFactory(javax.resource.spi.ManagedConnectionFactory mcf)` Constructor for STCApplicationConnectionFactory.
`STCApplicationConnectionFactory(javax.resource.spi.ManagedConnectionFactory mcf, javax.resource.spi.ConnectionManager cm)` Constructor for STCConnectionFactoryGen.

Method Summary
`com.stc.connector.appconn.common.ApplicationConnection` | `getConnection()` Gets the Application Connection which represents a connection handle to the underlying EIS.
`com.stc.connector.appconn.common.ApplicationConnection` | `getConnection(java.util.Properties connProps)` Gets the Application Connection which represents a connection handle to the underlying EIS using the connection information in the Properties.

Methods inherited from class com.stc.connector.framework.util.JndiJCAObject
`getReference, getVersion, setReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.naming.Referenceable
`getReference`

Constructor Detail

### STCApplicationConnectionFactory

    public STCApplicationConnectionFactory(javax.resource.spi.ManagedConnectionFactory mcf)
                                    throws javax.resource.ResourceException

  Constructor for STCApplicationConnectionFactory. This constructor is used in non-managed mode.

Parameters:
  `mcf` - The STCManagedConnectionFactory which created the instance of this ConnectionFactory.
Throws:
  `javax.resource.ResourceException` - upon error.

### STCApplicationConnectionFactory

    public STCApplicationConnectionFactory(javax.resource.spi.ManagedConnectionFactory mcf,
                                           javax.resource.spi.ConnectionManager cm)
                                    throws javax.resource.ResourceException

  Constructor for STCConnectionFactoryGen. This constructor is used in managed mode.

Parameters:
  `mcf` - The STCManagedConnectionFactory which created the instance of the ConnectionFactory.
  `cm` - The ConnectionManager instance provided by the container.
Throws:
  `javax.resource.ResourceException` - upon error.

Method Detail

### getConnection

    public com.stc.connector.appconn.common.ApplicationConnection getConnection()
                                                                         throws com.stc.connector.appconn.common.ApplicationConnectionException

  Gets the Application Connection which represents a connection handle to the underlying EIS.

  Specified by:
    `getConnection` in interface `com.stc.connector.appconn.common.ApplicationConnectionFactory`
  Returns:
    An Application Connection.
  Throws:
    `com.stc.connector.appconn.common.ApplicationConnectionException` - upon error.

### getConnection

    public com.stc.connector.appconn.common.ApplicationConnection getConnection(java.util.Properties connProps)
                                                                         throws com.stc.connector.appconn.common.ApplicationConnectionException

  Gets the Application Connection which represents a connection handle to the underlying EIS using the connection information in the Properties.

  Specified by:
    `getConnection` in interface `com.stc.connector.appconn.common.ApplicationConnectionFactory`
  Parameters:
    `connProps` - Properties containing connection specific information.
  Returns:
    An Application Connection which represents a connection handle to the EIS.
  Throws:
    `com.stc.connector.appconn.common.ApplicationConnectionException` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD